# Record Class CLNImageCubeFaceDescription

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNImageCubeFaceDescription

Record Components:
  `dataOffsetWithinSection` - The offset of the data from the start of the section data
  `dataSizeCompressed` - The size of the supercompressed data
  `dataSizeUncompressed` - The size of the uncompressed data
  `crc32Uncompressed` - The CRC32 of the uncompressed data

public record CLNImageCubeFaceDescription(long dataOffsetWithinSection, long dataSizeCompressed, long dataSizeUncompressed, int crc32Uncompressed) extends Record
A description of a cube map face.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNImageCubeFaceDescription(long dataOffsetWithinSection, long dataSizeCompressed, long dataSizeUncompressed, int crc32Uncompressed)`
  Creates an instance of a `CLNImageCubeFaceDescription` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `crc32Uncompressed()`
  Returns the value of the `crc32Uncompressed` record component.
  `long`
  `dataOffsetWithinSection()`
  Returns the value of the `dataOffsetWithinSection` record component.
  `long`
  `dataSizeCompressed()`
  Returns the value of the `dataSizeCompressed` record component.
  `long`
  `dataSizeUncompressed()`
  Returns the value of the `dataSizeUncompressed` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNImageCubeFaceDescription

    public CLNImageCubeFaceDescription(long dataOffsetWithinSection, long dataSizeCompressed, long dataSizeUncompressed, int crc32Uncompressed)
    Creates an instance of a `CLNImageCubeFaceDescription` record class.
    Parameters:
      `dataOffsetWithinSection` - the value for the `dataOffsetWithinSection` record component
      `dataSizeCompressed` - the value for the `dataSizeCompressed` record component
      `dataSizeUncompressed` - the value for the `dataSizeUncompressed` record component
      `crc32Uncompressed` - the value for the `crc32Uncompressed` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### dataOffsetWithinSection

    public long dataOffsetWithinSection()
    Returns the value of the `dataOffsetWithinSection` record component.
    Returns:
      the value of the `dataOffsetWithinSection` record component

  - ### dataSizeCompressed

    public long dataSizeCompressed()
    Returns the value of the `dataSizeCompressed` record component.
    Returns:
      the value of the `dataSizeCompressed` record component

  - ### dataSizeUncompressed

    public long dataSizeUncompressed()
    Returns the value of the `dataSizeUncompressed` record component.
    Returns:
      the value of the `dataSizeUncompressed` record component

  - ### crc32Uncompressed

    public int crc32Uncompressed()
    Returns the value of the `crc32Uncompressed` record component.
    Returns:
      the value of the `crc32Uncompressed` record component